/* Copyright (c) 2000 John Stracke <fanorona@thibault.org>
 #
 * This file is part of Fanorona.
 #
 * Fanorona is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any later
 * version. 
 #
 * Fanorona is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details. 
 #
 * You should have received a copy of the GNU General Public License along
 * with program; see the file COPYING. If not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

#ifndef _GNOME_FANORONA_PREFS_H_
#define _GNOME_FANORONA_PREFS_H_

const char* getPrefWithDef(const char* name,
                           const char* defValue);
const char* getPref(const char* name);
long getPrefInt(const char* name,
                int defValue);
int setPref(const char* name,
            const char* value);
int setPrefInt(const char* name,
               long value);
void clearPref(const char* name);

int savePrefs(void);
int loadPrefs(void);

#endif /*_GNOME_FANORONA_PREFS_H_*/
